Skip to main content
GET
Query Video Generation Task

Authorizations

Authorization
string
header
required

HTTP: Bearer Auth

Query Parameters

task_id
string
required

The task ID to query. Only tasks created under the current account can be queried.

Response

200 - application/json
task_id
string

The queried task ID.

status
enum<string>

The current status of the task. Possible values:

  • Preparing – Preparing
  • Queueing – In queue
  • Processing – Generating
  • Success – Completed successfully
  • Fail – Failed
Available options:
Preparing,
Queueing,
Processing,
Success,
Fail
file_id
string

Returned when the task succeeds. Represents the file ID of the generated video.

video_width
integer

Returned when the task succeeds. The width of the generated video (in pixels).

video_height
integer

Returned when the task succeeds. The height of the generated video (in pixels).

base_resp
object